## pcapparse pcapparse — Parses a raw pcap stream |

## Synopsis

    struct              GstPcapParse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstPcapParse

## Properties

      "dst-ip"                   gchar*                : Read / Write
      "dst-port"                 gint                  : Read / Write
      "src-ip"                   gchar*                : Read / Write
      "src-port"                 gint                  : Read / Write
      "caps"                     GstCaps*              : Read / Write
      "ts-offset"                gint64                : Read / Write

## Description

Extracts payloads from Ethernet-encapsulated IP packets. Use "src-ip", "dst-ip", "src-port" and "dst-port" to restrict which packets should be included.

### Example pipelines

    1
    2
    gst-launch-0.10 filesrc location=h264crasher.pcap ! pcapparse ! rtph264depay
    ! ffdec_h264 ! fakesink

Read from a pcap dump file using filesrc, extract the raw UDP packets, depayload and decode them.

## Synopsis

### Element Information

plugin | pcapparse
author | Ole André Vadla Ravnås <ole.andre.ravnas@tandberg.com>
class | Raw/Parser

### Element Pads

name | sink
direction | sink
presence | always
details | raw/x-pcap

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstPcapParse

    struct GstPcapParse;

GstPcapParse element.

## Property Details

### The `"dst-ip"` property

      "dst-ip"                   gchar*                : Read / Write

Destination IP to restrict to.

Default value: ""

### The `"dst-port"` property

      "dst-port"                 gint                  : Read / Write

Destination port to restrict to.

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `"src-ip"` property

      "src-ip"                   gchar*                : Read / Write

Source IP to restrict to.

Default value: ""

### The `"src-port"` property

      "src-port"                 gint                  : Read / Write

Source port to restrict to.

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `"caps"` property

      "caps"                     GstCaps*              : Read / Write

The caps of the source pad.

### The `"ts-offset"` property

      "ts-offset"                gint64                : Read / Write

Relative timestamp offset (ns) to apply (-1 = use absolute packet time).

Allowed values: >= G_MAXULONG

Default value: -1